#include <windows.h>

#ifndef _MY_TYPES
#define _MY_TYPES

//********* typedef ************

typedef char i8;
typedef unsigned char u8;
typedef short i16;
typedef unsigned short u16;
typedef long i32;
typedef unsigned long u32;
typedef float f32;
typedef double f64;


#define ENABLED 1
#define DISABLE 0

#define APPNAME "PanAndTiltForWebcam"

#define BUFF_MAX 256 // The size of the buffers that have to do with opening a file


#define MAX_LOADSTRING 100
//#define MAKEINTRESOURCE(i) (LPTSTR) ((DWORD) ((WORD) (i))) 
#define xStart 580 // The beginning x-pos for printing text to in our window
#define yStart 230 // The beginning y-pos for printing text to in our window

// Makes it easier to determine appropriate code paths:
#if defined (WIN32)
   #define IS_WIN32 TRUE
#else
   #define IS_WIN32 FALSE
#endif
#define IS_NT      IS_WIN32 && (BOOL)(GetVersion() < 0x80000000)
#define IS_WIN32S  IS_WIN32 && (BOOL)(!(IS_NT) && (LOBYTE(LOWORD(GetVersion()))<4))
#define IS_WIN95 (BOOL)(!(IS_NT) && !(IS_WIN32S)) && IS_WIN32


#define COK						0
#define CNOK					-1
#define MOTOR_ERROR			1
#define OPEN_DRIVER_READ_ERR	4
#define OPEN_DRIVER_WRITE_ERR	5
#define CLOSE_DRIVER_ERR		6
#define READ_ERROR				-1
#define WRITE_ERROR				-2
#define FILE_WRITE_ERROR		-3	
#define FILE_OPEN_ERROR			-4	

#define isWindowsNT				1
#define isWindows32				2
#define isWindows95				3

#endif
