//***********************************************************************//
//																		 //
//		            - CGI in C for Windows NT (9x) - 				     //
//                                                                       //
//		Author:			YB 2002									         //
//																		 //
//		Mail:			yb_net@yahoo.fr									 //
//																		 //
//		Web :			http://www.ybnet.fr.st							 //
//																		 //
//		Program:		ctrlcamL  								         //
//																		 //
//		Description:	simple CGI : stepper motor & temperature sensor  //
//																		 //
//		Date:			01/10/02										 //
//																		 //
//***********************************************************************//
// ctrlcam.cpp : Defines the entry point for the console application.
//
//

#include "stdafx.h"
#include <stdlib.h>
#include <iostream>											// Include the standard C++ file
#include <conio.h>
#include <stdio.h>
#include <time.h>

// Local Header Files
#include "myglobals.h"
#include "MyTypes.h"
#include "lowlevel.h"
#include "thermometre_DS1720.h"


#define SERVER_SOFTWARE getenv("SERVER_SOFTWARE")
#define	REQUEST_METHOD	getenv("REQUEST_METHOD")
#define	QUERY_STRING	getenv("QUERY_STRING")
#define REMOTE_ADDR		getenv("REMOTE_ADDR")
#define REMOTE_HOST		getenv("REMOTE_HOST")
#define REMOTE_USER		getenv("REMOTE_USER")
#define SERVER_NAME		getenv("SERVER_NAME")
#define SERVER_PORT		getenv("SERVER_PORT")
#define REMOTE_USER		getenv("REMOTE_USER")
#define SCRIPT_NAME		getenv("SCRIPT_NAME")
#define URL				getenv("URL")
#define SERVER_PORT_SECURE	getenv("SERVER_PORT_SECURE")
#define SERVER_PROTOCOL	getenv("SERVER_PROTOCOL")


int main(int argc, char* argv[])
{
	    
	time_t ltime;
	FILE *fp;

	// dtection de la version de Windows: 
	//WinNT oblige  passer par un driver, Win9x permet l'accs direct  la carte
	DWORD dWindowsVersion;
	dWindowsVersion = GetVersion();

     if (dWindowsVersion < 0x80000000) 
	 {
     // Windows NT
       WindowsVersion=isWindowsNT;     
     } 
	 else if (LOBYTE(LOWORD(dWindowsVersion))<4) 
	 {
     // Win32s
       WindowsVersion=isWindows32;
     }
	else 
	{
    // Windows 95
       WindowsVersion=isWindows95;
    }

	// Send headers to the client
	printf("Content-type: text/html\r\n\r\n");
	


	//basic html page
	sprintf(header,"%s","<HTML>\r\n<HEAD>\r\n<TITLE>CGI : Camera Gizmo Interface</TITLE>\r\n</HEAD>\r\n<BODY BGCOLOR=\"#19205a\" TEXT=\"#ffffff\" LINK=\"#00F080\" VLINK=\"#FF0000\" ALINK=\"Aqua\">\r\n</HEAD>\r\n<CENTER>\r\n<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH=100%>\r\n<TR>\r\n<TD ALIGN=Center VALIGN=TOP WIDTH=61%>\r\n<CENTER>\r\n<FORM METHOD=GET ACTION=\"../../cgi-bin/ctrlcam.exe\">\r\n<TABLE BORDER=0 CELLPADDING=10>\r\n<TR>\r\n<TD>\r\n</TD>\r\n<TD>\r\n</TD>\r\n<TD>\r\n</TD>\r\n</TR>\r\n<TR>\r\n<TD ALIGN=Center VALIGN=Middle>\r\n<INPUT  NAME=ACTION  TYPE=submit  VALUE=LEFT>\r\n</TD>\r\n<TD ALIGN=Center VALIGN=Middle BGCOLOR=#1F2B5F>\r\n<FONT COLOR=#FF8A00 SIZE=+2>+</FONT>\r\n</TD>\r\n<TD ALIGN=Center VALIGN=Middle>\r\n<INPUT  NAME=ACTION  TYPE=submit  VALUE=RIGHT>\r\n</TD>\r\n</TR>\r\n<TR>\r\n<TD>\r\n</TD>\r\n<TD>\r\n</TD>\r\n<TD>\r\n</TD>\r\n</TR>\r\n</TABLE>\r\n</FORM>\r\n</CENTER>\r\n</TD>\r\n</TR>\r\n</TABLE>\r\n</CENTER>\r\n");
	sprintf(footer,"%s","</BODY>\r\n</HTML>");

	// Begin sending back HTML to the client

	printf("%s",header);

	// open parallel port driver under windows NT...
	ErreurEndLevel=InitMount();


	//lecture du conf register et vrif de la puce
	//ReadConfReg();

	//lecture temprature du DS1720
	temp1=ReadThermo();
	if(temp1>=256)
		temp1-=512;
	tempc=((float)temp1/2);
	printf("Temprature de la pice = %.1f C<br>\r\n",tempc);

	
	// read the command from the client

	char    *TestLeft="ACTION=LEFT";
	char    *TestRight="ACTION=RIGHT";
	char    *TestTop="ACTION=UP";
	char    *TestBottom="ACTION=DOWN";
	char    *TestGet="GET";

	if( (REQUEST_METHOD != NULL) && ( QUERY_STRING != NULL))
	{
		if(strcmp(TestGet, REQUEST_METHOD) == 0) //parse only if there is a method from the client
		{
			if(strcmp(TestLeft, QUERY_STRING) == 0) //parse only if it's a GET method from the client
			{
				// turn the webcam left
				ErreurEndLevel=GoLeft();
				printf ("Webcam has turned left for around 10.<br>\r\n");
			}

			else if(strcmp(TestRight, QUERY_STRING) == 0) 
				{
				// turn the webcam right
				ErreurEndLevel=GoRight();
				printf ("Webcam has turned right for around 10.<br>\r\n");
				}
			else if(strcmp(TestTop, QUERY_STRING) == 0) 
				{
				// turn the webcam up
				ErreurEndLevel=GoUp();
				printf ("Up action is not mechanicaly implemented, try again ! <br>\r\n");
				}
			else if(strcmp(TestBottom, QUERY_STRING) == 0) 
				{
				// turn the webcam down
				ErreurEndLevel=GoDown();
				printf ("Down action is not mechanicaly implemented, try again ! <br>\r\n");
				}
			else         
				printf ("Incorrect action, try again !<br>\r\n");
		} 
		else
			printf ("Incorrect method, try again with GET!<br>\r\n");
	}
	else
		printf ("Webcam is waiting for chrismas...!<br>\r\n");

	// send the usefull server variables 
//	printf ("REQUEST_METHOD : %s <br>\r\n ", REQUEST_METHOD);
//	printf ("QUERY_STRING : %s <br>\r\n", QUERY_STRING);
//	printf ("REMOTE_ADDR : %s <br>\r\n", REMOTE_ADDR);
//	printf ("REMOTE_HOST : %s <br>\r\n", REMOTE_HOST);
//	printf ("REMOTE_USER : %s <br>\r\n", REMOTE_USER);
//	printf ("SERVER_SOFTWARE : %s <br>\r\n", SERVER_SOFTWARE);
//	printf ("SERVER_NAME : %s <br>\r\n", SERVER_NAME);
//	printf ("SERVER_PORT : %s <br>\r\n", SERVER_PORT);
//	printf ("<hr>\r\n");
	
	// Ending sending back HTML to the client

	printf("%s",footer);
	
	CloseMount(); // close the parallel port driver (under windows NT)


	//criture d'un fichier log pour surveiller l'activit

	if ( (fp = fopen("camctrl.txt","a+")) == NULL)
	{
        printf("Error: can't open camctrl.txt for writing.");
    }
	else
	{
		time( &ltime );
		char temp[24]="";
		strncpy( temp, ctime( &ltime ), 24);
		fprintf(fp,"%s - URL: %s - REMOTE_ADDR: %s - REQUEST_METHOD: %s - QUERY_STRING: %s - REMOTE_HOST: %s - SERVER_NAME: %s - SERVER_PORT: %s - SERVER_PORT_SECURE: %s -  SERVER_PROTOCOL: %s - SERVER_SOFTWARE: %s \n", temp, URL, REMOTE_ADDR, REQUEST_METHOD, QUERY_STRING, REMOTE_HOST, SERVER_NAME, SERVER_PORT, SERVER_PORT_SECURE, SERVER_PROTOCOL, SERVER_SOFTWARE );
		fclose(fp);
    }


	Beep(220,100); // beep 600Hz during 100ms
	return 0;
}

